Bug 155029 - CAN-2005-0753 multiple issues in cvs
CAN-2005-0753 multiple issues in cvs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cvs (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
impact=moderate,embargoed=20050418,so...
: Security
: 155476 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-15 15:25 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-25 15:28:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed upstream patch from Derek (4.04 KB, patch)
2005-04-15 15:25 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-04-15 15:25:25 EDT
Derek Price alerted vendor-sec about a buffer overflow and an incorrect free.

The incorrect free seems to be part of a dead codepath, I'm not 100% sure of
this though.
Comment 1 Josh Bressers 2005-04-15 15:25:26 EDT
Created attachment 113250 [details]
Proposed upstream patch from Derek
Comment 2 Josh Bressers 2005-04-15 15:26:19 EDT
This issue should also affect RHEL2.1 and RHEL3
Comment 3 Mark J. Cox (Product Security) 2005-04-19 06:35:58 EDT
Removing embargo
Comment 4 Josh Bressers 2005-04-20 16:37:05 EDT
*** Bug 155476 has been marked as a duplicate of this bug. ***
Comment 5 Josh Bressers 2005-04-25 15:28:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-387.html

Note You need to log in before you can comment on or make changes to this bug.